Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class SegmentedHashMap.EntryActionAdapter

`java.lang.Object
com.tangosol.util.SegmentedHashMap.EntryActionAdapter`

All Implemented Interfaces:
  SegmentedHashMap.EntryAction, SegmentedHashMap.IterableEntryAction

Direct Known Subclasses:
  SegmentedConcurrentMap.SizeAction, SegmentedConcurrentMap.UnlockAction, SegmentedHashMap.ContainsValueAction, SegmentedHashMap.RemoveAction

Enclosing class:
  SegmentedHashMap

      protected abstract static class SegmentedHashMap.EntryActionAdapter

extends java.lang.Object
implements SegmentedHashMap.EntryAction, SegmentedHashMap.IterableEntryAction

EntryActionAdapter is a convenience class that provides default implementations for the EntryAction and IterableEntryAction interface methods.

Constructor Summary
`protected` | `SegmentedHashMap.EntryActionAdapter()`

Method Summary
`java.lang.Object` | `invokeFound(java.lang.Object oKey, java.lang.Object oContext, SegmentedHashMap.Entry[] aeBucket, int nBucket, SegmentedHashMap.Entry entryPrev, SegmentedHashMap.Entry entryCur)` Invoke some action, holding the segment lock, when a matching Entry is found.
`java.lang.Object` | `invokeNotFound(java.lang.Object oKey, java.lang.Object oContext, SegmentedHashMap.Entry[] aeBucket, int nBucket)` Invoke some action, holding the segment lock, when no matching Entry is found.
`boolean` | `isComplete(java.lang.Object oContext)` Return true iff further key evaluations for the given context are known to be unnecessary.

Constructor Detail

### SegmentedHashMap.EntryActionAdapter

    protected SegmentedHashMap.EntryActionAdapter()

Method Detail

### invokeFound

    public java.lang.Object invokeFound(java.lang.Object oKey,
                                        java.lang.Object oContext,
                                        SegmentedHashMap.Entry[] aeBucket,
                                        int nBucket,
                                        SegmentedHashMap.Entry entryPrev,
                                        SegmentedHashMap.Entry entryCur)

  Invoke some action, holding the segment lock, when a matching Entry is found.
  Specified by:
    `invokeFound` in interface `SegmentedHashMap.EntryAction`
  Parameters:
    `oKey` - the key to which the action is applied
    `oContext` - opaque context specific to the action
    `aeBucket` - the bucket array
    `nBucket` - the index into the bucket array
    `entryPrev` - the Entry object immediately preceding the Entry that was found, or null
    `entryCur` - the Entry object that was found
  Returns:
    an opaque result value

### invokeNotFound

    public java.lang.Object invokeNotFound(java.lang.Object oKey,
                                           java.lang.Object oContext,
                                           SegmentedHashMap.Entry[] aeBucket,
                                           int nBucket)

  Invoke some action, holding the segment lock, when no matching Entry is found.
  Specified by:
    `invokeNotFound` in interface `SegmentedHashMap.EntryAction`
  Parameters:
    `oKey` - the key to which the action is applied
    `oContext` - opaque context specific to the action
    `aeBucket` - the bucket array
    `nBucket` - the index into the bucket array
  Returns:
    an opaque result value

### isComplete

    public boolean isComplete(java.lang.Object oContext)

  Return true iff further key evaluations for the given context are known to be unnecessary.
  Specified by:
    `isComplete` in interface `SegmentedHashMap.IterableEntryAction`
  Parameters:
    `oContext` - the action context
  Returns:
    true iff further evaluations are unnecessary

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.